# PsychoPy/Pavloviaによるオンライン実験
**************************************************************

5.4節ケース2の実装例
--------------------------------------------------------------

ケース1と似たフローの実験ですが、単語セットと条件の組み合わせを条件ファイルで定義してしまうのではなく、
実行時に無作為に決定する点が異なります。

5.4.1項で簡単に触れたように、実験開始時に以下のコードを実行して、各試行がどちらの条件であるかを表す
リストを作成しています。この処理により、trials.xlsxで条件を指定する必要がなくなったことにご注意ください
(ケース1のtrials.xlsxと比較してください)。

    conditions = ['immediate', 'immediate', 'delayed', 'delayed']
    shuffle(conditions)

続いてtrialsルーチンの終了時に以下のコードを実行して、遅延課題を実行するか否かを決定しています。

    if conditions[trials.thisN] == 'delayed':
        delay_loop_N = 1
        delay_start = globalClock.getTime()
    else:
        delay_loop_N = 0

5.4.1項ではcurrent_condition = conditions[trials.thisN]というコードを実行して
その試行の条件をcurrent_conditionという変数に代入すると解説していますが、この実験ではこの値が必要な場所が
上記コードの1行目のif文の条件式しかないので、current_conditionに代入することなくif文に直接書き込んで
あります。

その他の点についてはケース1の実装例のREADMEをご覧ください。
